pilot-read-todos(1)

NAME
pilot-read-todos - Syncronize your Palm ToDo application's database with your desktop machine.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-read-todos [-p|--port <port>] [-q|--quiet] [-A|--archived] [-w|--write]

 pilot-read-todos [-f|--file file] [-A|--archived] [-w|--write]

 pilot-read-todos [--version] [-?|--help] [--usage]

DESCRIPTION

 pilot-read-todos will read the ToDo database on the Palm handheld, or read the ToDoDB.pdb file directly from disk on your desktop machine, and print the contents to STDOUT (generally the screen).

Use only one of --port or --file.

OPTIONS

  pilot-read-todos option
                        -f, --file file

Read a local todo database file from disk for printing. Excludes --port.
                        -A, --archived

Write archived entries only, in human-readable format
                        -w, --write

Write output - every operation must include a write command.

  Conduit Options
                        -p, --port port

Use device file <port> to communicate with the Palm handheld device. If this is not specified, pilot-read-todos will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-read-todos will print the usage information.

Excludes --file.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message
                        -v, --version

Display version of pilot-read-todos and exit without connecting.

  Help Options
                        -h, --help

Display the help synopsis for pilot-read-todos and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

Connect to a target Palm handheld and read the ToDo database, or read the ToDoDB.pdb file from disk and print the entries found to STDOUT.

EXAMPLES

Read the on-Palm ToDo database, and dump to STDOUT.

 pilot-read-todos -w -p /dev/pilot

Read the ToDoDB.pdb file on disk, and dump to STDOUT

 pilot-read-todos -w -f ToDoDB.pdb

AUTHOR

 pilot-read-todos was originally written by Kenneth Albanowski

BUGS

  Known Bugs

 pilot-read-todos does not support Notes attached to ToDo items at this time.

  Reporting Bugs

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 install-todo (1), install-todos (1), pilot-link(7)